#ifndef __TIME_H
#define __TIME_H

#include <sys/types.h>
#include <compiler.h>

__BEGIN_DECLS

typedef struct _NUTTIME NUTTIME;
struct _NUTTIME {
        u_char  tm_sec;     /* seconds after the minute - [0,59] */
        u_char  tm_min;     /* minutes after the hour - [0,59] */
        u_char  tm_hour;    /* hours since midnight - [0,23] */
        u_char  tm_mday;    /* day of the month - [1,31] */
        u_char  tm_mon;     /* months since January - [0,11] */
        u_short tm_year;    /* years since 1900 */
        u_char  tm_wday;    /* days since Sunday - [0,6] */
        u_short tm_yday;    /* days since January 1 - [0,365] */
        };

void NutGetTime (NUTTIME* theTime);
int  NutSetTime (NUTTIME* theTime);

__END_DECLS

#endif
